%global		majorVersion 0.7

Name:		almanah
Version:	0.7.3
Release:	4%{?dist}
Summary:	Application for keeping an encrypted diary

Group:		Applications/Productivity
License:	GPLv3+
URL:		http://tecnocode.co.uk/projects/almanah/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/almanah/%{majorVersion}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gettext
BuildRequires:	gpgme-devel
BuildRequires:	sqlite-devel
BuildRequires:	gtkspell-devel
BuildRequires:	GConf2-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils 
BuildRequires:	evolution-devel
BuildRequires:	seahorse-devel
BuildRequires:	pkgconfig

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
Almanah Diary is a small application to ease the management of an encrypted
personal diary. It's got good editing abilities, including text formatting 
and printing. Evolution tasks and appointments will be listed to ease the 
creation of diary entries related to them. At the same time, you can create
diary entries using multiple events.

%prep
%setup -q
sed -e 's/_//' \
    -e 's/=Diary/=Almanah/' \
    -i data/%{name}.desktop.in

%build
CFLAGS="${RPM_OPT_FLAGS} -D_FILE_OFFSET_BITS=64" %configure --enable-encryption --enable-spell-checking
make


%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}

%find_lang %{name}


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
touch --no-create %{_datadir}/icons/hicolor
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ "$1" -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog 
* Mon Oct  4 2010 Bill Nottingham <notting@redhat.com> - 0.7.3-4
- Release bump and build to fix libedataserver broken dep

* Mon Jun 26 2010 Caolán McNamara <caolanm@redhat.com> - 0.7.3-3
- Release bump and build to fix libedataserver broken dep

* Fri Jun 11 2010 Mike McGrath <mmcgrath@redhat.com> - 0.7.3-2
- Release bump and build to fix libedataserver broken dep

* Sun May 22 2010 Andreas Osowski <th0br0@mkdir.name> - 0.7.3-1
- Update to 0.7.3
- Improved the UI appearance a little by adding some padding
- Updated translations

* Sun Feb  7 2010 Andreas Osowski <th0br0@mkdir.name> - 0.7.2-1
- Update to 0.7.2

* Tue Dec  8 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.1-3
- Added patch required for F-11 (link against dbus-glib)

* Tue Dec  8 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.1-2
- Cosmetic changes

* Fri Nov 27 2009 Andreas Osowski <th0br0@mkdir.name> - 0.6.1-1
- Update to new release
- Fixed BuildRequires for new release

* Wed Dec  3 2008 Jean-François Martin <lokthare@gmail.com> - 0.5.0-1
- Update to the new release

* Mon Jul 14 2008 Jean-François Martin <lokthare@gmail.com> - 0.4.0-2
- Fix rpmlint warnings
- Include ChangeLog
- Fix icon name in desktop file
 
* Sat Jul 12 2008 Jean-François Martin <lokthare@gmail.com> - 0.4.0-1 
- Change to the new name
- Remove GConf scriplets

* Mon Jun 23 2008 Jean-François Martin <lokthare@gmail.com> 0.3.1-1
- Update to the new release
- Drop the patch (fixed upstream)

* Fri Jun 20 2008 Jean-François Martin <lokthare@gmail.com> 0.3-1
- Update to the new release

* Wed May 21 2008 Jean-François Martin <lokthare@gmail.com> 0.2-1
- First RPM release.

